View a markdown version of this page

StartIntegrationAuthorization - AWS Continuum for Code Vulnerabilities

StartIntegrationAuthorization

Starts an OAuth authorization for a new integration and returns the values the caller sends to the provider's authorization endpoint. The authorization belongs to the calling AWS account, can be redeemed once by CreateIntegration from that same account, and expires after ten minutes.

Request Syntax

POST /integration-authorizations HTTP/1.1 Content-type: application/json { "name": "string", "providerType": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

name

The name of the resource.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 255.

Required: No

providerType

The provider Type.

Type: String

Valid Values: GITHUB

Required: Yes

Response Syntax

HTTP/1.1 201 Content-type: application/json { "codeChallenge": "string", "codeChallengeMethod": "string", "expiresAt": "string", "state": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

codeChallenge

The code Challenge.

Type: String

Length Constraints: Minimum length of 43. Maximum length of 128.

Pattern: [A-Za-z0-9_-]+

codeChallengeMethod

The code Challenge Method.

Type: String

Valid Values: S256

expiresAt

The expires At.

Type: Timestamp

state

The state.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is not authorized. Verify that your credentials and request signature are valid and that you have permission to perform this action.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the resource.

HTTP Status Code: 409

InternalServerException

The request couldn't be processed because of an internal server issue. Try again later. If the problem persists, contact AWS Support.

HTTP Status Code: 500

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request failed to satisfy the constraints specified by AWS Continuum. Correct the fields identified in the error and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: